Skip to content

deployment_volume_create

Create a volume

Tool

deployment_volume_create

Create a volume

Create a volume

Behavior

HTTP
POST /deployment/environments/:environmentId/volumes

Arguments

Name
Type
Required
Description
name
string
•
No description in the catalog.
slug
string
—
No description in the catalog.
sizeGb
integer
•
No description in the catalog.
mountPath
string
•
No description in the catalog.
environmentId
string
•
No description in the catalog.
attachedServiceId
string
—
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
sizeGb
integer
•
status
string
•
createdAt
string
•
mountPath
string
•
updatedAt
string
•
environmentId
string
•
lastErrorMessage
string
•
attachedServiceId
string
•

Try it

Create a volume.

When to use

Create a volume

Example

Ask your agent something like this:

Create a volume.

The agent will invoke deployment_volume_create with these arguments:

{
  "name": "<name>",
  "sizeGb": "<sizeGb>",
  "mountPath": "<mountPath>",
  "environmentId": "<environmentId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select